> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/email.md).

# Email

Endpoints for email verification

## Perform bulk credential issuance based on the valid email addresses

> This endpoint performs bulk credential issuance based on the valid email addresses.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Email","description":"Endpoints for email verification"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/emails/verify":{"post":{"summary":"Perform bulk credential issuance based on the valid email addresses","description":"This endpoint performs bulk credential issuance based on the valid email addresses.","tags":["Email"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"emails":{"type":"array","items":{"type":"object","properties":{"email":{"type":"string","description":"The email address to be verified as one of the bulk credential recipient."},"schema_id":{"type":"string","description":"The schema ID of the credential to be issued."},"time_to_accept":{"type":"number","description":"The number of days for the recipient to accept the credential."},"attributes":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}},"description":"The attributes of the credential."}}}}}}}}},"responses":{"200":{"description":"Email verification successful","content":{"application/json":{"schema":{"type":"object","properties":{"emailsSuccess":{"type":"array","items":{"type":"string"}},"emailsFailure":{"type":"array","items":{"type":"string"}},"invalidEmails":{"type":"array","items":{"type":"string"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
